# For Dotfiles
dotfls="${HOME}/dotfiles"
dotlib="${dotfls}/lib"
dotcfg="${dotfls}/cfg"
brewpr="$(/home/linuxbrew/.linuxbrew/bin/brew --prefix)"
gembin="$(ruby -e "puts Gem.user_dir")/bin"
BASHER_SHELL=zsh
BASHER_ROOT=/home/eeleater/.basher

# Path
path=(${brewpr}/sbin ${brewpr}/bin)			 			  # Homebrew
path+=(/usr/local/sbin /usr/local/bin)			 			  # Local Bin
path+=(/usr/sbin /usr/bin)				 			  # /usr/bin
if type apt-get &>/dev/null; then path+=(/sbin /bin); fi 			  # /bin only on Debian
path+=(${dotfls}/bin)					 			  # Bin in Dotfiles
path+=(${dotlib}/basher/bin ${BASHER_ROOT}/cellar/bin)   			  # Basher
path+=(${gembin})					 			  # Ruby Gems
path+=(/usr/lib/jvm/default/bin)			 			  # Java
if type pacman &>/dev/null; then
	asdkver="$(pacman -Qm android-sdk-build-tools | awk '{print $2}' | cut -d'-' -f1 | cut -d'r' -f2)"
	path+=(/opt/android-sdk/build-tools/${asdkver}); # Android SDK
fi

# Manpath
manpath+=(${brewpr}/share/man)

# Infopath
infopath+=(${brewpr}/share/info)

# XDG Data Dirs
XDG_DATA_DIRS+=(/home/linuxbrew/.linuxbrew/share)

# Editor Setting
EDITOR='nano'

# Completions Paths
fpath+=(${dotlib}/completions/src)
fpath+=(${brewpr}/share/zsh/site-functions)
fpath+=(${dotlib}/local)
fpath+=(${BASHER_ROOT}/cellar/completions/zsh)

# Actually export
export dotlib dotcfg brewpr gembin PATH MANPATH INFOPATH EDITOR XDG_DATA_DIRS

# Reload all Prompts
autoload -U promptinit && promptinit
